__version__ = "0.1.5-1"

import compLib.LogstashLogging
import compLib.Spi
import compLib.Reset
import compLib.Encoder
import logging
import apt

try:
    __versions = apt.Cache()["python3-complib"].versions
    if len(__versions) != 1:
        print(f"Starting compLib! \033[91mVersion: {__version__} is outdated\033[0m\n"
              f"\033[92m[!] run the command 'sudo apt update && sudo apt install python3-complib' to install the newest version\033[0m")
    else:
        print(f"Starting compLib! \033[92mVersion: {__version__} is up to date\033[0m")
except Exception as e:
    compLib.LogstashLogging.Logging.get_logger().error(f"error during checking apt package version -> {str(e)}")
    print(f"\033[91merror during checking apt package version -> {str(e)}\033[0m\n")

compLib.Reset.Reset.reset_bot()
compLib.Spi.Spi.health_check()
compLib.Spi.Spi.start_health_check_loop()
compLib.Encoder.Encoder.clear_all()